<?php

/**
 * Active Callbacks
 *
 * @package aster_ebooks
 */

// Theme Options.
function aster_ebooks_is_pagination_enabled( $aster_ebooks_control ) {
	return ( $aster_ebooks_control->manager->get_setting( 'aster_ebooks_enable_pagination' )->value() );
}
function aster_ebooks_is_breadcrumb_enabled( $aster_ebooks_control ) {
	return ( $aster_ebooks_control->manager->get_setting( 'aster_ebooks_enable_breadcrumb' )->value() );
}
function aster_ebooks_is_layout_enabled( $aster_ebooks_control ) {
	return ( $aster_ebooks_control->manager->get_setting( 'aster_ebooks_website_layout' )->value() );
}
function aster_ebooks_is_pagetitle_bcakground_image_enabled( $aster_ebooks_control ) {
	return ( $aster_ebooks_control->manager->get_setting( 'aster_ebooks_page_header_style' )->value() );
}
function aster_ebooks_is_preloader_style( $aster_ebooks_control ) {
	return ( $aster_ebooks_control->manager->get_setting( 'aster_ebooks_enable_preloader' )->value() );
}

// Header Options.
function aster_ebooks_is_topbar_enabled( $aster_ebooks_control ) {
	return ( $aster_ebooks_control->manager->get_Setting( 'aster_ebooks_enable_topbar' )->value() );
}

// Banner Slider Section.
function aster_ebooks_is_banner_slider_section_enabled( $aster_ebooks_control ) {
	return ( $aster_ebooks_control->manager->get_setting( 'aster_ebooks_enable_banner_section' )->value() );
}
function aster_ebooks_is_banner_slider_section_and_content_type_post_enabled( $aster_ebooks_control ) {
	$aster_ebooks_content_type = $aster_ebooks_control->manager->get_setting( 'aster_ebooks_banner_slider_content_type' )->value();
	return ( aster_ebooks_is_banner_slider_section_enabled( $aster_ebooks_control ) && ( 'post' === $aster_ebooks_content_type ) );
}
function aster_ebooks_is_banner_slider_section_and_content_type_page_enabled( $aster_ebooks_control ) {
	$aster_ebooks_content_type = $aster_ebooks_control->manager->get_setting( 'aster_ebooks_banner_slider_content_type' )->value();
	return ( aster_ebooks_is_banner_slider_section_enabled( $aster_ebooks_control ) && ( 'page' === $aster_ebooks_content_type ) );
}

// Service section.
function aster_ebooks_is_service_section_enabled( $aster_ebooks_control ) {
	return ( $aster_ebooks_control->manager->get_setting( 'aster_ebooks_enable_service_section' )->value() );
}
function aster_ebooks_is_service_section_and_content_type_post_enabled( $aster_ebooks_control ) {
	$aster_ebooks_content_type = $aster_ebooks_control->manager->get_setting( 'aster_ebooks_service_content_type' )->value();
	return ( aster_ebooks_is_service_section_enabled( $aster_ebooks_control ) && ( 'post' === $aster_ebooks_content_type ) );
}
function aster_ebooks_is_service_section_and_content_type_page_enabled( $aster_ebooks_control ) {
	$aster_ebooks_content_type = $aster_ebooks_control->manager->get_setting( 'aster_ebooks_service_content_type' )->value();
	return ( aster_ebooks_is_service_section_enabled( $aster_ebooks_control ) && ( 'page' === $aster_ebooks_content_type ) );
}